#
# spec file for package rug (Version 7.3.0.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rug
BuildRequires:  gtkdoc mono-basic mono-data-sqlite mono-devel zmd-devel
Url:            http://www.novell.com
Version:        7.3.0.0
Release:        0.4.26
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Command Line Client for zmd
Group:          System/Console
Source:         rug-%{version}.tar.bz2
Source1:        rug-po.tar.bz2
Patch:          rug-manpage_perms.patch
Patch1:         fix-ld-library-path.patch
Patch2:         rug-no-signal.patch
Requires:       zmd
AutoReqProv:    on

%description
rug module providing a command-line client (remote or local access) for
the ZENworks Management Daemon on the ZLM client



Authors:
--------
    Tambet Ingo <tambet@ximian.com>
    James Willcox <james@ximian.com>

%prep
%setup  -q -n rug-%{version} -a1
%patch
%patch1
%patch2

%build
export PKG_CONFIG_PATH="$PWD/build-install/%{_prefix}/%_lib/pkgconfig:$PKG_CONFIG_PATH" \
LIBRARY_PATH=$PWD/build-install/%{_prefix}/%_lib \
C_INCLUDE_PATH=$PWD/build-install%{_prefix}/include:$PWD/build-install%{_prefix}/include/glib-2.0:$PWD/build-install%{_prefix}/%_lib/glib-2.0/include
CFLAGS="$RPM_OPT_FLAGS" \
 PYTHON="/usr/bin/python" \
PKG_CONFIG="/usr/bin/pkg-config" \
ACLOCAL="aclocal -I ." autoreconf --force --install
 ./configure 	--prefix=%_prefix \
		--libdir=%_libdir \
  		--sysconfdir=%_sysconfdir \
		--mandir=%_mandir \
		--localstatedir=%_localstatedir \
		--enable-patches
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
#mkdir -p $RPM_BUILD_ROOT/usr/lib/mono/rug
#mv $RPM_BUILD_ROOT/usr/%{_lib}/rug/*.dll $RPM_BUILD_ROOT/usr/lib/mono/rug/
#mv $RPM_BUILD_ROOT/usr/%{_lib}/rug/*.exe* $RPM_BUILD_ROOT/usr/lib/mono/rug/
%find_lang rug

%clean
rm -rf $RPM_BUILD_ROOT

%files -f rug.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/rug
%dir %{_libdir}/rug
%{_libdir}/pkgconfig/rug.pc
%{_libdir}/rug/Novell.Zenworks.Rug.dll
%{_libdir}/rug/rug.exe
%dir %_mandir/fr
%dir %_mandir/fr/man1
%dir %_mandir/pt/man1
%_mandir/*/*.gz
%_mandir/*/*/*.gz

%changelog
* Fri Jun 26 2009 tarvindkumar@novell.com 
- First code drop for SLE10 SP3.
- Synced Novell ZLM SVN to autobuild.
- Bumped rug version to 7.3.0
* Wed Apr 23 2008 mrashmiranjan@suse.de
- Source drop. Synced source with ZLM 7.2 IR2 release.
- Updated man pages
* Fri Apr 18 2008 mauro@suse.de 
- Updated translations.
* Tue Apr  8 2008 mauro@suse.de 
- Updated translations (fixing pt_BR issues in the process).
* Fri Apr  4 2008 mrashmiranjan@suse.de
- Contains black-out enhancment.
- Some other ZLM fixes.
* Fri Mar 28 2008 mauro@suse.de
- Updated translations.
* Fri Mar 14 2008 mauro@suse.de 
- Updated translations.
* Thu Feb 21 2008 mauro@suse.de
- Updated translations.
* Mon Feb 18 2008 mrashmiranjan@suse.de
- New source drop.
- Contains fixes for some of the issues found in Beta1 and Beta 2
- Also contains FATE # 303284
* Mon Feb  4 2008 mrashmiranjan@suse.de
- New source drop.
- Fixes bugs found in Beta1 and some older bugs of SP1.
* Fri Jan 11 2008 mrashmiranjan@suse.de
- Synced Novell SVN source with autobuild. Contains numerous bug fixes.
* Wed Nov 21 2007 mrashmiranjan@novell.com
- Little older rug code base was not building with latest zmd code submitted. So updated
  the rug code to be in sync with zmd code.
* Wed Oct 24 2007 mrashmiranjan@novell.com
- Synced Novell SVN source with autobuild.
* Fri Sep 28 2007 mrashmiranjan@novell.com
- First source drop to SLES10-SP2 branch
- Synced Novell SVN source with autobuild.
- Bumped version to 7.2.1
* Thu Aug 16 2007 mrashmiranjan@novell.com
- Submitted fix for following bugs
  188409 – L3: Auto install reports "Array index is out of range" in stage 2 using FTP
  203051 – Online update of kernel should force reboot.
  293073 – rug up: List has changed.
* Fri May  4 2007 mrashmiranjan@novell.com
- New source drop
- Fix for Bug # 270957 : Avoided modifying of array while looping on it.
* Wed Apr 18 2007 bvenugopal@suse.de
- New source drop.
- Updated PO files for all languages.
- Simplified the fix for # 188409 by removing the array access completely in the problematic statement.
* Fri Apr 13 2007 mrashmiranjan@novell.com
- Bumped the rug version from 7.1.100 to 7.2.0 (in sync with zmd version)
* Fri Mar 23 2007 mrashmiranjan@novell.com
- New Source drop
- Fix for Bug # 188409 (Array Index out of range during autoinstall.)
- Updated man pages and po files.
* Tue Mar 13 2007 mrashmiranjan@novell.com
- New Source Drop
- Update resolveFlagsDict for every package in plist. Fixes #163548
* Thu Mar  1 2007 mrashmiranjan@novell.com
- Enable 'best package' only if resolvable type is package.
  Fixes #248155
- Added new option to automatically agree to licences.
  Fixes # 193669 & 247726
- Check if user confirmation is required before rollback.
  Fixes #246170
- Add SystemCatalog to the "rug bl" query only if no catalogs are specified.
  Fixes #246167
* Mon Feb 19 2007 bvenugopal@suse.de
- integrated Localization stuff for Italian, Japanese,
  Chinese (Simplified and Traditional) from SUSE #155817
* Fri Feb 16 2007 mrashmiranjan@novell.com
- During rug in --entire-catalog, removed any installed packages from the installs list
  Fixes #243979
- Entry added to resolveFlagsDict for a package being installed from local RPM file.
  Fixes # 243823
- Added the previous fix for pattern-info and product-info also.
- Added code to show information about patch when patchname-version is provided
  as argument with --patch-info option. Fixes # 239833
* Tue Feb  6 2007 bvenugopal@suse.de
- New code Drops (r41619)
- Commented out -c (catalog) and -i (importance) options of package lock command.
  Not fully implemented. Will be taken up in future.
- Updated for implementing the Bundle History
* Fri Jan  5 2007 bvenugopal@suse.de
- new rug code drop for SLE10-SP1 (r39602 - breakout/rug)
- make available the package lock commands (ll, la, ld) now
  that ZYPP supports it.
- Bug #141643 fix
- Modifeid changelog for previous commit (revision 39354)
- Modification for rebooting the system after updation of patches
  which need reboot
- Best Package enhancement(Feature: #301177)
- Fix for 'Bug 121269 - ZLM7 DE_LOC: fault in es_ES localization
  VT-RN 060216'
- Bug 166955 and 225797: fixes
- Using ZMD's signal handling code.
- Fix for Bug#192832
- Add --version flag.  This fixes 200836
- Remove incorrect version flag in install usage from the man page
  a new ShowResolverInfo method.
- BundleCommands.cs: use ShowResolerInfo to show the packages that i
  will be installed/upgraded/removed when installing a package bundle.
* Fri Dec  1 2006 aj@suse.de
- Fix random memory corruption (#224818).  Thanks Miguel and team!
* Mon Nov 27 2006 aj@suse.de
- Fix typo introduced with my last patch (#187055).
* Sun Nov 26 2006 aj@suse.de
- Handle MONO_GAC_PREFIX as well (#187055).
  Thanks Andreas Hanke!
* Sun Nov 26 2006 aj@suse.de
- Fix ld library path setting (#187055).
* Tue Nov  7 2006 ro@suse.de
- fix manpage permissions
* Fri Oct 13 2006 maw@suse.de
- New source drop (r34435) which:
- Adds the --version flag (#200836)
- Bumps the version to 7.1.100.0.
* Tue Jul 18 2006 maw@suse.de
- New source drop (r32303) which:
- Displays a message during list-updates or update if we are
  installing required patch updates (#190295).
* Fri Jun 30 2006 maw@suse.de
- New source drop (r31486) which:
- Writes an error to the console from within a try block, and if
  any exception is thrown simply prints "Unknown Error"
  (#190446).
* Wed Jun 28 2006 maw@suse.de
- New source drop (r31327) which:
- Updates translations.
* Thu Jun 22 2006 ro@suse.de
- remove selfprovides
* Mon Jun 19 2006 thunder@suse.de
- New source drop (r30644):
- Add --clean flag to Restart command.
* Wed Jun 14 2006 maw@suse.de
- New source drop (r30229) which:
- Hides the locking commands and disables locking-related options
  from other commands, as locking won't work with libzypp for
  code10.
* Thu Jun  8 2006 maw@suse.de
- New source drop (r29782) which:
- Subscribes to YUM service catalogs as there's always only one
  catalog per service; if someone already adds the service, he most
  likely wants to use it.  #175721
* Thu Jun  1 2006 maw@suse.de
- New source drop (r29437) which:
- Gets terminal width correctly; gets it before every progressbar
  update to handle resizes better (#179854).
* Wed May 31 2006 maw@suse.de
- New source drop (r29084) which:
- Removes some debug spew that was inadvertently left in a
  previous commit
- Handles catalogs with empty 'DisplayName's (#178646)
- Adds key commands kl, ka, and kd.
* Mon May 22 2006 maw@suse.de
- New source drop (r28766) which:
- Eats "permission denied" exception if the argument isn't a
  local file.
- Hames rug bl -i show the bundle's lock status.
* Tue May 16 2006 maw@suse.de
- New source drop (r28427) which:
- Handles zypp atoms correctly
- Adds a better error message if QueryFile fails
- Finds catalogs by acronyms.
* Wed May  3 2006 maw@suse.de
- New source drop (r?????) which:
- Fixes up the status of patches if there is an exact match
  installed. #170152
* Wed Apr 26 2006 maw@suse.de
- New source drop (r27526) which:
- Adds bundle locking commands.
* Mon Apr 24 2006 maw@suse.de
- New source drop (r27373) which:
- Strips HTML tags from licenses
- Displays the media message and label.
* Thu Apr 20 2006 maw@suse.de
- New source drop (r27248) which:
- Skips patches which require reboot if the '--skip-interactive'
  flag is provided.
* Tue Apr 11 2006 maw@suse.de
- New source drop (r26963) which:
- Prints a useful message during rug in foo if foo is only
  available in an unsubscribed catalog
- Filters resolvables from system catalog that have a match in
  another catalog.
* Fri Apr  7 2006 thunder@suse.de
- New tarball (svn r26826):
- Version is now 7.1.1.0.
- Handle C-d when reading user privileges (#163763).
* Thu Apr  6 2006 maw@suse.de
- New source drop (r26732) which:
- Now displays categories when doing rug sum.
* Tue Apr  4 2006 maw@suse.de
- New source drop (r26652) which:
- Prints dependency information in the patch-info command.
* Fri Mar 31 2006 maw@suse.de
- New source drop (r26568) which:
- Backs out the patch status reporting; it requires changes in
  zmd which are not yet ready.
* Fri Mar 31 2006 thunder@suse.de
- New source drop (r26522):
- Improves patch status reporting.
* Wed Mar 29 2006 maw@suse.de
- New source drop (r26368) which:
- Adds a cache-clean command
- Prints the mono version when running the ping command
* Mon Mar 27 2006 maw@suse.de
- New source drop (r26225) which:
- Fixes "rug db" to work without a catalog specified (#160564)
- Shows summary and descriptoin fields for patches, patterns, and
  products.
* Thu Mar 23 2006 maw@suse.de
- New source drop (r26061) which:
- Doesn't query for the latest version of resolvable when resolving
- Makes the 'remove' command accept syntax similar to the 'install'
  command
* Wed Mar 15 2006 maw@suse.de
- New source drop (r25671) which:
- Implements the patch-search command
- Makes 'rug in' and 'rug rm' prompt for confirmation if there
  are items other than those provided from the command line
- Removes the device shutdown and restart commands
- Cleans up catalogue handling all over the place, recognizes
  catalogue names in case-insensitive format, and allows wildcards
- Adds the --type=patch flag for 'rug update' and rug 'list-update'
  commands to update patches.
* Mon Mar 13 2006 maw@suse.de
- New source drop which:
- Fixes local package installation
* Mon Mar 13 2006 maw@suse.de
- New source drop which:
- Makes rug install/list/remove abble to take patches, patterns
  and products as an argument
- Shows a translated string for patch status
- Supports installation from multiple CDs
* Sat Mar 11 2006 maw@suse.de
- New source drop which:
- Adds remaining list/info methods for patches, patterns, and
  products
* Fri Mar 10 2006 maw@suse.de
- New source drop which
- Adds a patches command
* Thu Mar  9 2006 maw@suse.de
- New source drop (from svn revision 25330) which
- Displays a better error when trying to install a package from
  the filesystem when said file doesn't exist
- Adds a flag to the user-add subcommand to make it work
  better with zen-updater
- Implements media change support.
* Tue Mar  7 2006 maw@suse.de
- New source drop which
- Gives better feedback when zmd is sleeping and it'll take some
  time for it to wake up.
- Don't prompt for confirmation when the resolver doesn't add
  anything to transactions.
* Tue Feb 28 2006 maw@suse.de
- New source drop.
* Mon Feb 20 2006 thunder@suse.de
- New source drop.
- English manpages are no longer in localized directories.
* Fri Feb 17 2006 maw@suse.de
- New source drop.
* Wed Feb 15 2006 meissner@suse.de
- own /usr/share/man/en/ here... (could use /usr/share/man directly)
* Thu Feb  9 2006 maw@suse.de
- New source drop, with a corresponding package
  version increment.
* Sat Feb  4 2006 maw@suse.de
- New source drop.
* Mon Jan 30 2006 thunder@suse.de
- New source drop.
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 27 2006 maw@suse.de
- New source drop.  Woo.
* Fri Jan 20 2006 maw@suse.de
- New sources drop.
* Tue Jan 17 2006 thunder@suse.de
- Renamed from rug7 to rug.
* Mon Jan 16 2006 thunder@suse.de
- New source drop.
* Tue Jan 10 2006 thunder@suse.de
- New tarball that works with latest zmd.
- Moved mono 1.1.13 support into a patch.
* Tue Jan 10 2006 thunder@suse.de
- Updated tarball with fixes for mono 1.1.13.
* Fri Dec 23 2005 gekker@suse.de
- Split off rug for integration testing until it can replace
  current version
* Mon Dec 19 2005 gekker@suse.de
- Update to version 7.0.0 for ZLM
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Fri Oct 14 2005 hvogel@suse.de
- update to version 2.4.9
* Mon Aug 15 2005 ro@suse.de
- update to version 2.4.8
- added patch rug-2.4.7-maw-patches-support.patch
- added patch rug-2.4.1-jyeo-unmarshaller-build.patch
- added rug-2.4.7-bug81043.patch
* Wed Aug 10 2005 hvogel@suse.de
- update to version 2.4.7
* Tue Apr 19 2005 hvogel@suse.de
- update to version 2.4.6
* Sat Mar 19 2005 clahey@suse.de
- Require rcd.
* Wed Nov 24 2004 hvogel@suse.de
- require the python version we install with instead of a
  hardcoded version.
* Wed Nov 24 2004 hvogel@suse.de
- require python2.4 instead of 2.3
* Tue Nov  9 2004 hvogel@suse.de
- fake-require libpython to work around python import
  problems on biarch machines. (Bug #48088)
* Thu Nov  4 2004 hvogel@suse.de
- update to version 2.4.4
* Thu Nov  4 2004 hvogel@suse.de
- update to version 2.4.3
- update expat build dependency to 1.95.8
- update glib2 build dependency to 2.4.6
* Thu Sep 30 2004 clahey@suse.de
- Added rug-2.4.1-unmarshaller-66851.patch.  Fixes Ximian bug 66851.
* Fri Sep 24 2004 hvogel@suse.de
- add --enable-patches
* Thu Sep 23 2004 clahey@suse.de
- Update to version 2.4.1.
* Mon Sep  6 2004 hvogel@suse.de
- Update to version 2.4.0
* Mon Aug 30 2004 clahey@suse.de
- Update to version 2.3.9.
* Wed Mar 17 2004 hvogel@suse.de
- sbrabec fixed static/shared linking problems (bug #36170)
- cleaned spec file
- use %%_libdir
- require python with version
* Tue Mar 16 2004 kkaempf@suse.de
- initial version 2.0.2
